Bug 1003747 - [abrt] PackageKit-0.8.9-6.fc19: g_str_hash: Process /usr/libexec/packagekitd was killed by signal 11 (SIGSEGV)
[abrt] PackageKit-0.8.9-6.fc19: g_str_hash: Process /usr/libexec/packagekitd ...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:438a493be22bba58b3d5386c506...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 02:27 EDT by Jean Leclerc
Modified: 2013-12-11 04:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-11 04:26:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.23 KB, text/plain)
2013-09-03 02:27 EDT, Jean Leclerc
no flags Details
File: cgroup (154 bytes, text/plain)
2013-09-03 02:27 EDT, Jean Leclerc
no flags Details
File: core_backtrace (13.63 KB, text/plain)
2013-09-03 02:27 EDT, Jean Leclerc
no flags Details
File: dso_list (5.82 KB, text/plain)
2013-09-03 02:27 EDT, Jean Leclerc
no flags Details
File: environ (92 bytes, text/plain)
2013-09-03 02:27 EDT, Jean Leclerc
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-03 02:27 EDT, Jean Leclerc
no flags Details
File: maps (29.40 KB, text/plain)
2013-09-03 02:27 EDT, Jean Leclerc
no flags Details
File: open_fds (1.60 KB, text/plain)
2013-09-03 02:27 EDT, Jean Leclerc
no flags Details
File: proc_pid_status (902 bytes, text/plain)
2013-09-03 02:27 EDT, Jean Leclerc
no flags Details
File: var_log_messages (1.25 KB, text/plain)
2013-09-03 02:27 EDT, Jean Leclerc
no flags Details

  None (edit)
Description Jean Leclerc 2013-09-03 02:27:13 EDT
Description of problem:
   I can't view the "colection of packages" in the apper's window.

Version-Release number of selected component:
PackageKit-0.8.9-6.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: g_str_hash
executable:     /usr/libexec/packagekitd
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_str_hash at ghash.c:1732
 #1 g_hash_table_lookup_node at ghash.c:365
 #2 g_hash_table_lookup at ghash.c:1076
 #3 zif_package_array_filter_duplicates at zif-package-array.c:419
 #4 zif_store_array_repos_search at zif-store-array.c:413
 #5 zif_store_array_get_categories at zif-store-array.c:1033
 #6 pk_backend_get_categories_thread at pk-backend-zif.c:4947
 #7 pk_backend_job_thread_setup at pk-backend-job.c:785
 #8 g_thread_proxy at gthread.c:798
 #10 clone at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Potential duplicate: bug 972449
Comment 1 Jean Leclerc 2013-09-03 02:27:17 EDT
Created attachment 793028 [details]
File: backtrace
Comment 2 Jean Leclerc 2013-09-03 02:27:20 EDT
Created attachment 793029 [details]
File: cgroup
Comment 3 Jean Leclerc 2013-09-03 02:27:24 EDT
Created attachment 793030 [details]
File: core_backtrace
Comment 4 Jean Leclerc 2013-09-03 02:27:28 EDT
Created attachment 793031 [details]
File: dso_list
Comment 5 Jean Leclerc 2013-09-03 02:27:31 EDT
Created attachment 793032 [details]
File: environ
Comment 6 Jean Leclerc 2013-09-03 02:27:34 EDT
Created attachment 793033 [details]
File: limits
Comment 7 Jean Leclerc 2013-09-03 02:27:38 EDT
Created attachment 793034 [details]
File: maps
Comment 8 Jean Leclerc 2013-09-03 02:27:41 EDT
Created attachment 793035 [details]
File: open_fds
Comment 9 Jean Leclerc 2013-09-03 02:27:44 EDT
Created attachment 793036 [details]
File: proc_pid_status
Comment 10 Jean Leclerc 2013-09-03 02:27:48 EDT
Created attachment 793037 [details]
File: var_log_messages
Comment 11 Robert Xu 2013-09-30 14:06:07 EDT
Most likely when trying the zif backend (clicked Package Collections after switching backends)

reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: g_str_hash
executable:     /usr/libexec/packagekitd
kernel:         3.11.1-200.fc19.x86_64
package:        PackageKit-0.8.9-6.fc19
reason:         Process /usr/libexec/packagekitd was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            0
Comment 12 Richard Hughes 2013-12-11 04:26:10 EST
The zif backend has been replaced by the hawkey backend in F20 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.